Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.servlet.filter
Class ServletResponseWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletResponseWrapper
            |
            +--javax.servlet.http.HttpServletResponseWrapper
                  |
                  +--oracle.i18n.servlet.filter.ServletResponseWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

public class ServletResponseWrapper
extends HttpServletResponseWrapper

The `ServletResponseWrapper` class is an HTTP response class that sets the appropriate character set for the response operation.

Since:
  10.1.0.2

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`ServletResponseWrapper(oracle.i18n.servlet.filter.ServletRequestWrapper request, HttpServletResponse response)` Constructs this class.

Method Summary
`String` | `getCharacterEncoding()` Returns the character set encoding associated with the response object.
`Locale` | `getLocale()` Returns the locale associated with the response object.
`void` | `setContentType(String type)` Sets the content type of the output stream.
`void` | `setLocale(Locale locale)` Sets the locale to the response object in the `Content-Language` header for the output stream.

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getOutputStream, getResponse, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentLength, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentLength`

Constructor Detail

### ServletResponseWrapper

    public ServletResponseWrapper(oracle.i18n.servlet.filter.ServletRequestWrapper request,
                                  HttpServletResponse response)

  Constructs this class. The output stream attributes are automatically set.

Parameters:
  `request` - `ServletRequestWrapper` object to get user inputs
  `response` - `HttpServletResponse` object to override

Method Detail

### setContentType

    public void setContentType(String type)

  Sets the content type of the output stream. In general, it is automatically set to `text/html` with the appropriate character set. This method should be used only when the application requires explicit specification.

  Specified by:
    `setContentType` in interface `ServletResponse`
  Overrides:
    `setContentType` in class `ServletResponseWrapper`
  Parameters:
    `type` - a `Content-Type` string that specifies the character set

### getCharacterEncoding

    public String getCharacterEncoding()

  Returns the character set encoding associated with the response object.

  Specified by:
    `getCharacterEncoding` in interface `ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `ServletResponseWrapper`
  Returns:
    an IANA character set name

### setLocale

    public void setLocale(Locale locale)

  Sets the locale to the response object in the `Content-Language` header for the output stream. Unlike the default `setLocale` method, this method does not set the page character set. Rather, the page character set has to be specified in the GDK application configuration file.

  Specified by:
    `setLocale` in interface `ServletResponse`
  Overrides:
    `setLocale` in class `ServletResponseWrapper`
  Parameters:
    `locale` - `Locale` object

### getLocale

    public Locale getLocale()

  Returns the locale associated with the response object.

  Specified by:
    `getLocale` in interface `ServletResponse`
  Overrides:
    `getLocale` in class `ServletResponseWrapper`
  Returns:
    `Locale` object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.